aftp(1)

NAME
aftp - Transfer files to/from Apple II disk images.

SYNOPSIS

aftp
    [-poirh] disk image ...

DESCRIPTION
aftp(1) manipulates and browses Apple II disk images. It supports both Apple ][ DOS 3.3, ProDOS and XGS images. Both binary floppy images (.IIE) and hard disk volume (.HDV) images are also supported.

OPTIONS

-p  use a Prodos filesystem.

-o  use a Prodos ordered image.

-i  use an XGS image file.

-r  load images as read-only.

-h  display aftp help.

NOTES

When invoked with a single disk image filename as the first parameter, aftp operates in interactive mode and all of the interactive commands are available. Specifing multiple disk images will display the root directory of each image and then terminate without entering interactive mode.

If you have ever used the unix ftp(1) command, the aftp(1) commands will be very familiar. Interactive commands are:

dir display disk image directory.

ls  alias for the dir command.

get [file]
    get a file from the disk image.

put [file]
    put a file in the disk image.

del [file]
    delete a file from the disk image.

cd [dir]
    change the current disk image directory.

text
    set text mode.

binary
    set binary mode.

help
    display help.

dump
    display a hex dump of the disk image.

!command
    shell escape.

quit
    exit the program.

When putting files in disk images, the following default attributes will be used depending on whether you are transferring in binary or text mode:

DOS, Text			File type: T
DOS, Binary		File type: B
ProDOS, Text		File type: TXT, SubType: R=0
ProDOS, Binary		File type: BIN, SubType: A$=2000

BUGS
File extentions are not properly recognised. To correct this problem use a command line option to specify the type of disk image you are accessing.

There is bound to be other bugs so be sure to backup your disk images just in case.

Bug reports can be sent to Andru Luvisi <luvisi@andru.sonoma.edu>.

AUTHOR
Written by Galen C. Hunt <gchunt@cc.dixie.edu>
Ported to UNIX by Andru Luvisi <luvisi@andru.sonoma.edu>
Man page by Joel Sutton <suttonj@interconnect.com.au>

This man page is based on the original README included with aftp.

COPYRIGHT
Released into the public domain with no warranties - 13 Jun 1994 Release 1.0